# Bootstrap

```sh
# dotfiles
sudo apt install git
cd
git init -b main
git remote add origin gitea@git.kompot.si:urosm/dot.git
git pull
git checkout main -f
# `/etc` 
sudo cp -ri .config/sudoers.d /etc/
sudo cp -ri .config/apt /etc/
```

# Packages

```sh
# locales
sudo dpkg-reconfigure locales
# utils
sudo apt install udisks2
sudo apt install screen
sudo apt install jq
# networking
sudo apt install network-manager
sudo apt install ufw
sudo ufw allow "SSH"
sudo ufw allow 1194/udp
sudo ufw enable
# neovim
sudo apt install neovim
# desktop
sudo apt install --no-install-recommends sway
sudo apt install swayidle swaylock
sudo apt install foot fuzzel
sudo apt install brightnessctl wlsunset
sudo apt install wl-clipboard grim
sudo apt install libnotify-bin mako-notifier
# writing
sudo apt install pandoc
sudo apt install texlive-latex-extra
sudo apt install texlive-fonts-recommended
sudo apt install texlive-lang-european
# audio
sudo apt install pipewire-audio
systemctl --user enable --now wireplumber.service
# web
sudo apt install firefox
sudo apt install thunderbird
# media
sudo apt install mpv
sudo apt install zathura
sudo apt install inkscape
# office
sudo apt install libreoffice libreoffice-gtk3
sudo apt install libreoffice-l10n-sl
# printing
sudo apt install cups printer-driver-all
# scanning
sudo apt install simple-scan
# pdf processing
sudo apt install qpdf imagemagick ocrmypdf
# rdp
sudo apt install remmina
# ikiwiki
sudo apt install apache2
sudo apt install ikiwiki
sudo apt install libtext-multimarkdown-perl
```
